| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__EndpointAttributes Struct Reference
Endpoint

Endpoint Attributes. More...

`#include <osv-if-doc.h>`

## Public Attributes
xsd__boolean * | SendAuthNumAsPAI
| Indicates whether the AuthNum is send as PAI. More...
xsd__boolean * | CallingPartyCategory
| Indicates whether for this endpoint, the incoming CallingPartyCategory (CPC) is interpreted as the originating class of service. More...
xsd__boolean * | UpdateOnConfirmedDialaouge
| Indicates whether this endpoint uses UPDATE for confirm dialogue support. More...
xsd__boolean * | SendProvResponseOnUpdate
| Indicates whether the endpoint sends a provisional response during session updates. More...
xsd__boolean * | QSigOverSip
| Indicates whether this endpoint supports SIPQ signaling. More...
xsd__boolean * | Reserved7
xsd__boolean * | DoNotAllowURNsForNG911
| This attribute indicates whether URNs are not allowed in R-URI/TO header for NG911 calls. More...
xsd__boolean * | Reserved9
xsd__boolean * | Reserved8
| Reserved attribute 8 for future use. More...
xsd__boolean * | ImsFor3GPP
xsd__boolean * | MTPEnabled
| MTP enabled. More...
xsd__boolean * | EarlySessionMedia
| Indicates whether the endpoint has early-session media signaling enabled. More...
xsd__boolean * | TrustedSubscriber
| Indicates whether the subscriber endpoint is trusted. More...
xsd__boolean * | SurvivableProxy
| Indicates whether this endpoint is a survivable SIP proxy endpoint. More...
xsd__boolean * | URISupportRequired
| Indicates whether TEL URI must be used for sending addresses on this interface. More...
xsd__boolean * | SendUriAsReceived
| Indicates whether TEL URI address specification is sent as originally received. More...
xsd__boolean * | SendUriInTelephoneSubscriberFormat
xsd__boolean * | SendInternationalNumberInGNF
| Indicates whether the TEL URI is sent in GNF format. More...
xsd__boolean * | SendUriWithoutPhoneContext
| Indicates whether the TEL URI is send in local number format without phone context. More...
xsd__boolean * | NumericUserIP
| Indicates whether or not to treat all numeric user info (without user=phone) as user=ip. More...
xsd__boolean * | TruncateMIME
| Indicates whether the size of the MIME will truncated to reduce its size. More...
xsd__boolean * | NationalOrInterNationalPrefix
| Indicates whether national or international prefix should be inserted. More...
xsd__boolean * | GenerateReasonHeader
| Indicates whether for this endpoint a reason header is generated in response for responses/release messages without a reason header. More...
xsd__boolean * | SendReasonHeaderForQ850
| Indicates whether for this endpoint a reason header is sent for Q.850 protocol - non-2XX final responses mapped to Q.850 protocol specifications are allowed to be sent. More...
xsd__boolean * | SendReasonHeaderForSip
| Indicates whether for this endpoint a reason header is sent for SIP protocol - non-2XX final responses which are SIP-specific (without Q.850 protocol specifications) are allowed to be sent. More...
xsd__boolean * | DoNotSendReasonHeader
| Indicates whether for this endpoint a reason header is not to be sent - provides backward compatibility by filtering the reason header from any response sent to a SIP UA. More...
xsd__boolean * | SipOliRequired
| Voice Mail. More...
xsd__boolean * | IsupOliRequired
| Indicates whether the OLI is to be signaled as an ISUP_OLI parameter or as an OLI parameter. More...
xsd__boolean * | VoiceMail
| Voice Mail. More...
xsd__boolean * | SendProgStopCallProcTimer
| Send Progress to stop call process timer. More...
xsd__boolean * | IgnoreIngressCpcOli
| Ignore Ingress Cpc Oli. More...
xsd__boolean * | IgnoreAnswerForAnnouncement
| Indicates whether the Answer for announcement should be ignored. More...
xsd__boolean * | SurveillanceEnabled
| Indicates whether surveillance is enabled. More...
xsd__boolean * | EndpointIsProxy
| Indicates whether this endpoint is a SIP proxy server. More...
xsd__boolean * | RouteViaProxy
| Indicates whether all SIP:INVITE messages to SIP UAs that are registered via an associated SIP endpoint are sent to the associated SIP endpoint. More...
xsd__boolean * | MediaReDirectionAllowed
| Indicates whether media redirection is allowed. More...
xsd__boolean * | UseServerVirtualIp
| Indicates whether to use the server virtual IP address for SIP gateways, SIP application server, and SIP voice mail. More...
xsd__boolean * | AoRPerContact
| Send AoR Per Contact. More...
xsd__boolean * | CallCenterApplication
| Indicates whether the endpoint is a Call Center Application. More...
xsd__boolean * | EndpointIsAssociatedServer
| ndicates whether the endpoint is Associated Server. More...
xsd__boolean * | UseQ850CauseValue
| Use Q850 Cause Value. More...
xsd__boolean * | OverrideIRMCodecRestrictions
| Override IRM Codec Restrictions. More...
xsd__boolean * | ReroutingSiptoSip
| Indicates whether the subscriber rerouting of incoming calls through the SIP endpoint to a survivable SIP subscriber is allowed. More...
xsd__boolean * | ReroutingFwd
| Indicates whether subscriber rerouting of incoming calls through the SIP endpoint that are forwarded to a survivable SIP subscriber is allowed. More...
xsd__boolean * | TrafficIsPublicOffnet
| Indicates whether separate endpoints will be provisioned to segregate SIP NNI PSTN/off-net traffic from on-net traffic. More...
xsd__boolean * | SipPrivateNetwork
| Sip Private Network. More...
xsd__boolean * | TransferHandoff
| Indicates whether calls can be transferred to the Genesys. More...
xsd__boolean * | AcceptBillingNumber
| Accept Billing Number. More...
xsd__boolean * | SendInsecureRefferedByHeader
| Send Insecure Reffered By Header. More...
xsd__boolean * | SendPPreferredIdentityHeader
| Send P Preferred Identity Header. More...
xsd__boolean * | SendDomainNameInFromHeader
| Send Domain Name In From Header. More...
xsd__boolean * | SendForwardingNumberInHeaders
| Send Forwarding Number In Headers. More...
xsd__boolean * | DoNotSendDiversionHeader
| Do Not Send Diversion Header. More...
xsd__boolean * | DoNotSendInviteWithoutSDP
| Do Not Send Invite Without SDP. More...
xsd__boolean * | EnhancedSubscriberRerouting
| Enhanced Subscriber Rerouting. More...
xsd__boolean * | SetNPIandTONtoUnknown
| Set NPI and TON to Unknown. More...
xsd__boolean * | IncludeRestrNrsInFromHeader
| Include Restr Nrs In From Header. More...
xsd__boolean * | SendAuthInDivHeader
| Send Auth In Div Header. More...
xsd__boolean * | SendAuthInFromHeader
| Send Auth In From Header. More...
xsd__boolean * | AllowProxyBypass
| Indicates if the Proxy will be bypassed. More...
xsd__boolean * | AccbSupported
| Indicates whether the ACCB attribute is supported or not. More...
xsd__boolean * | DisableLongCallAudit
| Disable Long Call Audit. More...
xsd__boolean * | AllowUnregisterStaleRegistrations
| Allow unregistration of stale registrations. More...
xsd__boolean * | Reserved4
xsd__boolean * | EnableSessionTimer
| Enable Session Timer. More...
xsd__boolean * | UseProxySBCBestEffortSRTP
| Use Proxy SBC Best Effort SRTP. More...
xsd__boolean * | DoNotAuditEndpoint
| Do Not Audit Endpoint. More...
xsd__boolean * | AnatSetting
| Enable Anat Setting. More...
xsd__boolean * | SupportCallbackPathReservation
| Support Callback Path Reservation. More...
xsd__boolean * | EnablePrack
| Suport SIP PRACK method. More...
xsd__boolean * | TlsRfc5626Ping
| TLS per RFC5626 ping. More...
xsd__boolean * | TlsDualPathMethod
| TLS Dual Path Method. More...
xsd__boolean * | UseEndpointDefaultHomeDnAsAuthNumber
| Use the Endpoint Default HomeDn As Authorization Number. More...
xsd__boolean * | UseSubscriberHomeDnAsAuthNumber
| Use Subscriber HomeDn As Authorization Number. More...
xsd__boolean * | SendReceiveImpactLevel
| Send Receive Impact Level. More...
xsd__boolean * | MutualAuthentication
xsd__boolean * | DoNotSendAlphanumericSIPURI
| This attribute prevents Openscape Voice from sending alphanumeric SIP URIs to the target subscriber or endpoint. More...
xsd__boolean * | SendAlphanumericSIPURIWhenAvailable
| Indicates that the target subscriber or endpoint prefers receiving alphanumeric SIP URIs. More...
xsd__boolean * | SupportPeerDomains
| Allows an SBC to send its IP address or FQDN in an maddr Contact URI parameter in case it receives a contact URI from a dynamic peering domain. More...
xsd__boolean * | CentralSBC
| Indicates whether the endpoint is an SBC. More...
xsd__boolean * | UseBillingNumberForDP
| Indicates whether the charge number is used for display purposes. More...
xsd__boolean * | CFLoopExtended
| Allow loop detection on this endpoint. More...
xsd__boolean * | IgnoreReceipt181CallsIsBeingForwarded
| Indicates whether SIPSM will ignore the 181 calls. More...
xsd__boolean * | Reserved5
xsd__boolean * | Reserved6
| Reserved attribute 6 for future use. More...
xsd__boolean * | VideoCallAllowed
| Video Call Allowed. More...
xsd__boolean * | EnableFastConnect
| Enable Fast Connect early media. More...
xsd__boolean * | AnsibleConnectorAppliance
| Allow connection to Ansible. More...
xsd__boolean * | ASSipInterface
| Indicates whether the AS-SIP Interface is supported. More...
xsd__boolean * | AddToRouteHeader
| Add to Route Header for non sub endpoints. More...
xsd__boolean * | TreatAsSecure
| Treat Calls as secure for non sub endpoints. More...
xsd__boolean * | IncludeAgentHeader
| Allow the inclusion of the User-Agent header when communicating with SIP provider required: false default value[range]: false. More...
xsd__boolean * | DisableSRTP
| This attribute indicates whether SRTP is disabled. More...
xsd__boolean * | UseXChannelHeader
| This attribute indicates whether the X Channel Header will be used. More...
xsd__boolean * | SuppressSPEInSIPQ
| This attribute indicates whether Suppress SPE in SIP-Q is enabled. More...
xsd__boolean * | Reserved10
xsd__boolean * | AddEpNameInSipUri
| This attribute indicates whether to include sip EP Names in SIP URIs required: false default value[range]: false. More...
xsd__boolean * | Reserved11
| Reserved attribute 11 for future use. More...
xsd__boolean * | DoNotAllowNG911Headers
| Indicates whether NG911 Headers are allowed. More...
xsd__boolean * | ACDCallDistributionDevice
| To indicate if an endpoint is a ACD Call Distribution Device. More...
xsd__boolean * | RetrieveCBNFromPAIHeader
| To indicate if an endpoint retrieves CBN from PAI header. More...
xsd__boolean * | SipRecordAllCalls
| To indicate if an endpoint has enabled SipRecordAllCalls. More...
xsd__boolean * | SRCCapable
| To indicate if an endpoint has enabled SRCCapable. More...
xsd__boolean * | DoNotAllowGeolocationHeaders
| Indicates whether Geolocation NG911 Headers are allowed. More...
xsd__boolean * | IgnoreLocationByValue
| Indicates whether Ignore Location By Value is allowed. More...
xsd__boolean * | HideIsFocus
| Indicates whether IsFocus option is hidden. More...
xsd__boolean * | SupportForeignPeerDomains
| Supports foreign peer domains required: false default value[range]: false. More...
xsd__boolean * | SuppressAlertInfoAutoAnswer
| Supresses Sending AlertInfo: Auto-Answer required: false default value[range]: false. More...
xsd__boolean * | SupportReplacesHeader
| Support Replaces Header required: false default value[range]: false. More...
xsd__boolean * | IgnoreReceiptDoNotSendPrivacyHeader
| Ignore Receipt Do not send Privacy Header required: false default value[range]: false. More...
xsd__boolean * | EnableReferNotifications
| Enable Refer Notifications required: false default value[range]: false. More...
xsd__boolean * | HistoryInfoSupported
| Enable History Info Supported required: false default value[range]: false. More...
xsd__boolean * | IncrementSdpOline
| Enable Increment SDP o-line required: false default value[range]: false. More...
xsd__boolean * | AutoReconnectonBTFailurewithnoHold
| Auto-Reconnect on Blind Transfer Failure with no Hold required: false default value[range]: false. More...
xsd__boolean * | DoNotSupportUpdateMethodforSessionTiming
| Do Not Support Update Method for Session Timing required: false default value[range]: false. More...

## Detailed Description

Endpoint Attributes.

## Member Data Documentation

## ◆ AccbSupported

xsd__boolean* unsp__EndpointAttributes::AccbSupported

Indicates whether the ACCB attribute is supported or not.

required: false
default value[range]: false

## ◆ AcceptBillingNumber

xsd__boolean* unsp__EndpointAttributes::AcceptBillingNumber

Accept Billing Number.

required: false
default value[range]: false

## ◆ ACDCallDistributionDevice

xsd__boolean* unsp__EndpointAttributes::ACDCallDistributionDevice

To indicate if an endpoint is a ACD Call Distribution Device.

required: false
default value[range]: false

## ◆ AddEpNameInSipUri

xsd__boolean* unsp__EndpointAttributes::AddEpNameInSipUri

This attribute indicates whether to include sip EP Names in SIP URIs
required: false
default value[range]: false.

## ◆ AddToRouteHeader

xsd__boolean* unsp__EndpointAttributes::AddToRouteHeader

Add to Route Header for non sub endpoints.

required: false
default value[range]: false

## ◆ AllowProxyBypass

xsd__boolean* unsp__EndpointAttributes::AllowProxyBypass

Indicates if the Proxy will be bypassed.

required: false
default value[range]: false

## ◆ AllowUnregisterStaleRegistrations

xsd__boolean* unsp__EndpointAttributes::AllowUnregisterStaleRegistrations

Allow unregistration of stale registrations.

required: false
default value[range]: false

## ◆ AnatSetting

xsd__boolean* unsp__EndpointAttributes::AnatSetting

Enable Anat Setting.

required: false
default value[range]: false

## ◆ AnsibleConnectorAppliance

xsd__boolean* unsp__EndpointAttributes::AnsibleConnectorAppliance

Allow connection to Ansible.

required: false
default value[range]: false

## ◆ AoRPerContact

xsd__boolean* unsp__EndpointAttributes::AoRPerContact

Send AoR Per Contact.

required: false
default value[range]: false

## ◆ ASSipInterface

xsd__boolean* unsp__EndpointAttributes::ASSipInterface

Indicates whether the AS-SIP Interface is supported.

required: false
default value[range]: false

## ◆ AutoReconnectonBTFailurewithnoHold

xsd__boolean* unsp__EndpointAttributes::AutoReconnectonBTFailurewithnoHold

Auto-Reconnect on Blind Transfer Failure with no Hold
required: false
default value[range]: false.

## ◆ CallCenterApplication

xsd__boolean* unsp__EndpointAttributes::CallCenterApplication

Indicates whether the endpoint is a Call Center Application.

required: false
default value[range]: false

## ◆ CallingPartyCategory

xsd__boolean* unsp__EndpointAttributes::CallingPartyCategory

Indicates whether for this endpoint, the incoming CallingPartyCategory (CPC) is interpreted as the originating class of service.

required: false
default value[range]: false

## ◆ CentralSBC

xsd__boolean* unsp__EndpointAttributes::CentralSBC

Indicates whether the endpoint is an SBC.

This attribute is set only if EndpointIsProxy attribute is also set. If this attribute is set, then AllowProxyByPass attribute is automatically unset. br/>
required: false
default value[range]: false

## ◆ CFLoopExtended

xsd__boolean* unsp__EndpointAttributes::CFLoopExtended

Allow loop detection on this endpoint.

required: false
default value[range]: false

## ◆ DisableLongCallAudit

xsd__boolean* unsp__EndpointAttributes::DisableLongCallAudit

Disable Long Call Audit.

required: false
default value[range]: false

## ◆ DisableSRTP

xsd__boolean* unsp__EndpointAttributes::DisableSRTP

This attribute indicates whether SRTP is disabled.

required: false
default value[range]: false

## ◆ DoNotAllowGeolocationHeaders

xsd__boolean* unsp__EndpointAttributes::DoNotAllowGeolocationHeaders

Indicates whether Geolocation NG911 Headers are allowed.

required: false
default value[range]: false

## ◆ DoNotAllowNG911Headers

xsd__boolean* unsp__EndpointAttributes::DoNotAllowNG911Headers

Indicates whether NG911 Headers are allowed.

required: false
default value[range]: false

## ◆ DoNotAllowURNsForNG911

xsd__boolean* unsp__EndpointAttributes::DoNotAllowURNsForNG911

This attribute indicates whether URNs are not allowed in R-URI/TO header for NG911 calls.

required: false
default value[range]: false

## ◆ DoNotAuditEndpoint

xsd__boolean* unsp__EndpointAttributes::DoNotAuditEndpoint

Do Not Audit Endpoint.

required: false
default value[range]: false

## ◆ DoNotSendAlphanumericSIPURI

xsd__boolean* unsp__EndpointAttributes::DoNotSendAlphanumericSIPURI

This attribute prevents Openscape Voice from sending alphanumeric SIP URIs to the target subscriber or endpoint.

required: false
default value[range]: false

## ◆ DoNotSendDiversionHeader

xsd__boolean* unsp__EndpointAttributes::DoNotSendDiversionHeader

Do Not Send Diversion Header.

required: false
default value[range]: false

## ◆ DoNotSendInviteWithoutSDP

xsd__boolean* unsp__EndpointAttributes::DoNotSendInviteWithoutSDP

Do Not Send Invite Without SDP.

required: false
default value[range]: false

## ◆ DoNotSendReasonHeader

xsd__boolean* unsp__EndpointAttributes::DoNotSendReasonHeader

Indicates whether for this endpoint a reason header is not to be sent - provides backward compatibility by filtering the reason header from any response sent to a SIP UA.

required: false
default value[range]: false

## ◆ DoNotSupportUpdateMethodforSessionTiming

xsd__boolean* unsp__EndpointAttributes::DoNotSupportUpdateMethodforSessionTiming

Do Not Support Update Method for Session Timing
required: false
default value[range]: false.

## ◆ EarlySessionMedia

xsd__boolean* unsp__EndpointAttributes::EarlySessionMedia

Indicates whether the endpoint has early-session media signaling enabled.

required: false
default value[range]: false

## ◆ EnableFastConnect

xsd__boolean* unsp__EndpointAttributes::EnableFastConnect

Enable Fast Connect early media.

Available only for SIP Q endpoints.
required: false
default value[range]: false

## ◆ EnablePrack

xsd__boolean* unsp__EndpointAttributes::EnablePrack

Suport SIP PRACK method.

required: false
default value[range]: false

## ◆ EnableReferNotifications

xsd__boolean* unsp__EndpointAttributes::EnableReferNotifications

Enable Refer Notifications
required: false
default value[range]: false.

## ◆ EnableSessionTimer

xsd__boolean* unsp__EndpointAttributes::EnableSessionTimer

Enable Session Timer.

required: false
default value[range]: false

## ◆ EndpointIsAssociatedServer

xsd__boolean* unsp__EndpointAttributes::EndpointIsAssociatedServer

ndicates whether the endpoint is Associated Server.

required: false
default value[range]: false

## ◆ EndpointIsProxy

xsd__boolean* unsp__EndpointAttributes::EndpointIsProxy

Indicates whether this endpoint is a SIP proxy server.

required: false
default value[range]: false

## ◆ EnhancedSubscriberRerouting

xsd__boolean* unsp__EndpointAttributes::EnhancedSubscriberRerouting

Enhanced Subscriber Rerouting.

required: false
default value[range]: false

## ◆ GenerateReasonHeader

xsd__boolean* unsp__EndpointAttributes::GenerateReasonHeader

Indicates whether for this endpoint a reason header is generated in response for responses/release messages without a reason header.

required: false
default value[range]: false

## ◆ HideIsFocus

xsd__boolean* unsp__EndpointAttributes::HideIsFocus

Indicates whether IsFocus option is hidden.

required: false
default value[range]: false

## ◆ HistoryInfoSupported

xsd__boolean* unsp__EndpointAttributes::HistoryInfoSupported

Enable History Info Supported
required: false
default value[range]: false.

## ◆ IgnoreAnswerForAnnouncement

xsd__boolean* unsp__EndpointAttributes::IgnoreAnswerForAnnouncement

Indicates whether the Answer for announcement should be ignored.

required: false
default value[range]: false

## ◆ IgnoreIngressCpcOli

xsd__boolean* unsp__EndpointAttributes::IgnoreIngressCpcOli

Ignore Ingress Cpc Oli.

required: false
default value[range]: false

## ◆ IgnoreLocationByValue

xsd__boolean* unsp__EndpointAttributes::IgnoreLocationByValue

Indicates whether Ignore Location By Value is allowed.

required: false
default value[range]: false

## ◆ IgnoreReceipt181CallsIsBeingForwarded

xsd__boolean* unsp__EndpointAttributes::IgnoreReceipt181CallsIsBeingForwarded

Indicates whether SIPSM will ignore the 181 calls.

required: false
default value[range]: false

## ◆ IgnoreReceiptDoNotSendPrivacyHeader

xsd__boolean* unsp__EndpointAttributes::IgnoreReceiptDoNotSendPrivacyHeader

Ignore Receipt Do not send Privacy Header
required: false
default value[range]: false.

## ◆ ImsFor3GPP

xsd__boolean* unsp__EndpointAttributes::ImsFor3GPP

Deprecated:
  NA.

## ◆ IncludeAgentHeader

xsd__boolean* unsp__EndpointAttributes::IncludeAgentHeader

Allow the inclusion of the User-Agent header when communicating with SIP provider
required: false
default value[range]: false.

## ◆ IncludeRestrNrsInFromHeader

xsd__boolean* unsp__EndpointAttributes::IncludeRestrNrsInFromHeader

Include Restr Nrs In From Header.

required: false
default value[range]: false

## ◆ IncrementSdpOline

xsd__boolean* unsp__EndpointAttributes::IncrementSdpOline

Enable Increment SDP o-line
required: false
default value[range]: false.

## ◆ IsupOliRequired

xsd__boolean* unsp__EndpointAttributes::IsupOliRequired

Indicates whether the OLI is to be signaled as an ISUP_OLI parameter or as an OLI parameter.

required: false
default value[range]: false

## ◆ MediaReDirectionAllowed

xsd__boolean* unsp__EndpointAttributes::MediaReDirectionAllowed

Indicates whether media redirection is allowed.

required: false
default value[range]: false

## ◆ MTPEnabled

xsd__boolean* unsp__EndpointAttributes::MTPEnabled

MTP enabled.

required: false
default value[range]: false

## ◆ MutualAuthentication

xsd__boolean* unsp__EndpointAttributes::MutualAuthentication

Deprecated:
  NA

## ◆ NationalOrInterNationalPrefix

xsd__boolean* unsp__EndpointAttributes::NationalOrInterNationalPrefix

Indicates whether national or international prefix should be inserted.

required: false
default value[range]: false

## ◆ NumericUserIP

xsd__boolean* unsp__EndpointAttributes::NumericUserIP

Indicates whether or not to treat all numeric user info (without user=phone) as user=ip.

required: false
default value[range]: false

## ◆ OverrideIRMCodecRestrictions

xsd__boolean* unsp__EndpointAttributes::OverrideIRMCodecRestrictions

Override IRM Codec Restrictions.

required: false
default value[range]: false

## ◆ QSigOverSip

xsd__boolean* unsp__EndpointAttributes::QSigOverSip

Indicates whether this endpoint supports SIPQ signaling.

required: false
default value[range]: false

## ◆ ReroutingFwd

xsd__boolean* unsp__EndpointAttributes::ReroutingFwd

Indicates whether subscriber rerouting of incoming calls through the SIP endpoint that are forwarded to a survivable SIP subscriber is allowed.

required: false
default value[range]: false

## ◆ ReroutingSiptoSip

xsd__boolean* unsp__EndpointAttributes::ReroutingSiptoSip

Indicates whether the subscriber rerouting of incoming calls through the SIP endpoint to a survivable SIP subscriber is allowed.

required: false
default value[range]: false

## ◆ Reserved10

xsd__boolean* unsp__EndpointAttributes::Reserved10

Deprecated:
  NA

## ◆ Reserved11

xsd__boolean* unsp__EndpointAttributes::Reserved11

Reserved attribute 11 for future use.

required: false
default value[range]: false

## ◆ Reserved4

xsd__boolean* unsp__EndpointAttributes::Reserved4

Deprecated:
  NA

## ◆ Reserved5

xsd__boolean* unsp__EndpointAttributes::Reserved5

Deprecated:
  NA

## ◆ Reserved6

xsd__boolean* unsp__EndpointAttributes::Reserved6

Reserved attribute 6 for future use.

required: false
default value[range]: false

## ◆ Reserved7

xsd__boolean* unsp__EndpointAttributes::Reserved7

Deprecated:
  NA

## ◆ Reserved8

xsd__boolean* unsp__EndpointAttributes::Reserved8

Reserved attribute 8 for future use.

required: false
default value[range]: false

## ◆ Reserved9

xsd__boolean* unsp__EndpointAttributes::Reserved9

Deprecated:
  NA

## ◆ RetrieveCBNFromPAIHeader

xsd__boolean* unsp__EndpointAttributes::RetrieveCBNFromPAIHeader

To indicate if an endpoint retrieves CBN from PAI header.

required: false
default value[range]: false

## ◆ RouteViaProxy

xsd__boolean* unsp__EndpointAttributes::RouteViaProxy

Indicates whether all SIP:INVITE messages to SIP UAs that are registered via an associated SIP endpoint are sent to the associated SIP endpoint.

Note that this attribute may be true only if EndpointIsProxy is also true.
required: false
default value[range]: false

## ◆ SendAlphanumericSIPURIWhenAvailable

xsd__boolean* unsp__EndpointAttributes::SendAlphanumericSIPURIWhenAvailable

Indicates that the target subscriber or endpoint prefers receiving alphanumeric SIP URIs.

required: false
default value[range]: false

## ◆ SendAuthInDivHeader

xsd__boolean* unsp__EndpointAttributes::SendAuthInDivHeader

Send Auth In Div Header.

required: false
default value[range]: false

## ◆ SendAuthInFromHeader

xsd__boolean* unsp__EndpointAttributes::SendAuthInFromHeader

Send Auth In From Header.

required: false
default value[range]: false

## ◆ SendAuthNumAsPAI

xsd__boolean* unsp__EndpointAttributes::SendAuthNumAsPAI

Indicates whether the AuthNum is send as PAI.

required: false
default value[range]: false

## ◆ SendDomainNameInFromHeader

xsd__boolean* unsp__EndpointAttributes::SendDomainNameInFromHeader

Send Domain Name In From Header.

required: false
default value[range]: false

## ◆ SendForwardingNumberInHeaders

xsd__boolean* unsp__EndpointAttributes::SendForwardingNumberInHeaders

Send Forwarding Number In Headers.

required: false
default value[range]: false

## ◆ SendInsecureRefferedByHeader

xsd__boolean* unsp__EndpointAttributes::SendInsecureRefferedByHeader

Send Insecure Reffered By Header.

required: false
default value[range]: false

## ◆ SendInternationalNumberInGNF

xsd__boolean* unsp__EndpointAttributes::SendInternationalNumberInGNF

Indicates whether the TEL URI is sent in GNF format.

required: false
default value[range]: false

## ◆ SendPPreferredIdentityHeader

xsd__boolean* unsp__EndpointAttributes::SendPPreferredIdentityHeader

Send P Preferred Identity Header.

required: false
default value[range]: false

## ◆ SendProgStopCallProcTimer

xsd__boolean* unsp__EndpointAttributes::SendProgStopCallProcTimer

Send Progress to stop call process timer.

required: false
default value[range]: false

## ◆ SendProvResponseOnUpdate

xsd__boolean* unsp__EndpointAttributes::SendProvResponseOnUpdate

Indicates whether the endpoint sends a provisional response during session updates.

required: false
default value[range]: false

## ◆ SendReasonHeaderForQ850

xsd__boolean* unsp__EndpointAttributes::SendReasonHeaderForQ850

Indicates whether for this endpoint a reason header is sent for Q.850 protocol - non-2XX final responses mapped to Q.850 protocol specifications are allowed to be sent.

required: false
default value[range]: false

## ◆ SendReasonHeaderForSip

xsd__boolean* unsp__EndpointAttributes::SendReasonHeaderForSip

Indicates whether for this endpoint a reason header is sent for SIP protocol - non-2XX final responses which are SIP-specific (without Q.850 protocol specifications) are allowed to be sent.

required: false
default value[range]: false

## ◆ SendReceiveImpactLevel

xsd__boolean* unsp__EndpointAttributes::SendReceiveImpactLevel

Send Receive Impact Level.

required: false
default value[range]: false

## ◆ SendUriAsReceived

xsd__boolean* unsp__EndpointAttributes::SendUriAsReceived

Indicates whether TEL URI address specification is sent as originally received.

required: false
default value[range]: false

## ◆ SendUriInTelephoneSubscriberFormat

xsd__boolean* unsp__EndpointAttributes::SendUriInTelephoneSubscriberFormat

Deprecated:
  NA.

## ◆ SendUriWithoutPhoneContext

xsd__boolean* unsp__EndpointAttributes::SendUriWithoutPhoneContext

Indicates whether the TEL URI is send in local number format without phone context.

required: true
default value[range]: false

## ◆ SetNPIandTONtoUnknown

xsd__boolean* unsp__EndpointAttributes::SetNPIandTONtoUnknown

Set NPI and TON to Unknown.

required: false
default value[range]: false

## ◆ SipOliRequired

xsd__boolean* unsp__EndpointAttributes::SipOliRequired

Voice Mail.

required: false
default value[range]: false

## ◆ SipPrivateNetwork

xsd__boolean* unsp__EndpointAttributes::SipPrivateNetwork

Sip Private Network.

required: false
default value[range]: false

## ◆ SipRecordAllCalls

xsd__boolean* unsp__EndpointAttributes::SipRecordAllCalls

To indicate if an endpoint has enabled SipRecordAllCalls.

required: false
default value[range]: false

## ◆ SRCCapable

xsd__boolean* unsp__EndpointAttributes::SRCCapable

To indicate if an endpoint has enabled SRCCapable.

required: false
default value[range]: false

## ◆ SupportCallbackPathReservation

xsd__boolean* unsp__EndpointAttributes::SupportCallbackPathReservation

Support Callback Path Reservation.

required: false
default value[range]: false

## ◆ SupportForeignPeerDomains

xsd__boolean* unsp__EndpointAttributes::SupportForeignPeerDomains

Supports foreign peer domains
required: false
default value[range]: false.

## ◆ SupportPeerDomains

xsd__boolean* unsp__EndpointAttributes::SupportPeerDomains

Allows an SBC to send its IP address or FQDN in an maddr Contact URI parameter in case it receives a contact URI from a dynamic peering domain.

required: false
default value[range]: false

## ◆ SupportReplacesHeader

xsd__boolean* unsp__EndpointAttributes::SupportReplacesHeader

Support Replaces Header
required: false
default value[range]: false.

## ◆ SuppressAlertInfoAutoAnswer

xsd__boolean* unsp__EndpointAttributes::SuppressAlertInfoAutoAnswer

Supresses Sending AlertInfo: Auto-Answer
required: false
default value[range]: false.

## ◆ SuppressSPEInSIPQ

xsd__boolean* unsp__EndpointAttributes::SuppressSPEInSIPQ

This attribute indicates whether Suppress SPE in SIP-Q is enabled.

required: false
default value[range]: false

## ◆ SurveillanceEnabled

xsd__boolean* unsp__EndpointAttributes::SurveillanceEnabled

Indicates whether surveillance is enabled.

required: false
default value[range]: false

## ◆ SurvivableProxy

xsd__boolean* unsp__EndpointAttributes::SurvivableProxy

Indicates whether this endpoint is a survivable SIP proxy endpoint.

required: false
default value[range]: false

## ◆ TlsDualPathMethod

xsd__boolean* unsp__EndpointAttributes::TlsDualPathMethod

TLS Dual Path Method.

required: false
default value[range]: false

## ◆ TlsRfc5626Ping

xsd__boolean* unsp__EndpointAttributes::TlsRfc5626Ping

TLS per RFC5626 ping.

required: false
default value[range]: false

## ◆ TrafficIsPublicOffnet

xsd__boolean* unsp__EndpointAttributes::TrafficIsPublicOffnet

Indicates whether separate endpoints will be provisioned to segregate SIP NNI PSTN/off-net traffic from on-net traffic.

Only applicable to SIP NNI endpoints.
required: false
default value[range]: false

## ◆ TransferHandoff

xsd__boolean* unsp__EndpointAttributes::TransferHandoff

Indicates whether calls can be transferred to the Genesys.

required: false
default value[range]: false

## ◆ TreatAsSecure

xsd__boolean* unsp__EndpointAttributes::TreatAsSecure

Treat Calls as secure for non sub endpoints.

required: false
default value[range]: false

## ◆ TruncateMIME

xsd__boolean* unsp__EndpointAttributes::TruncateMIME

Indicates whether the size of the MIME will truncated to reduce its size.

required: false
default value[range]: false

## ◆ TrustedSubscriber

xsd__boolean* unsp__EndpointAttributes::TrustedSubscriber

Indicates whether the subscriber endpoint is trusted.

required: false
default value[range]: false

## ◆ UpdateOnConfirmedDialaouge

xsd__boolean* unsp__EndpointAttributes::UpdateOnConfirmedDialaouge

Indicates whether this endpoint uses UPDATE for confirm dialogue support.

If false, only SIP:RE-INVITE is used for confirm dialogue support.
required: false
default value[range]: false

## ◆ URISupportRequired

xsd__boolean* unsp__EndpointAttributes::URISupportRequired

Indicates whether TEL URI must be used for sending addresses on this interface.

required: false
default value[range]: false

## ◆ UseBillingNumberForDP

xsd__boolean* unsp__EndpointAttributes::UseBillingNumberForDP

Indicates whether the charge number is used for display purposes.

required: false
default value[range]: false

## ◆ UseEndpointDefaultHomeDnAsAuthNumber

xsd__boolean* unsp__EndpointAttributes::UseEndpointDefaultHomeDnAsAuthNumber

Use the Endpoint Default HomeDn As Authorization Number.

required: false
default value[range]: false

## ◆ UseProxySBCBestEffortSRTP

xsd__boolean* unsp__EndpointAttributes::UseProxySBCBestEffortSRTP

Use Proxy SBC Best Effort SRTP.

required: false
default value[range]: false

## ◆ UseQ850CauseValue

xsd__boolean* unsp__EndpointAttributes::UseQ850CauseValue

Use Q850 Cause Value.

required: false
default value[range]: false

## ◆ UseServerVirtualIp

xsd__boolean* unsp__EndpointAttributes::UseServerVirtualIp

Indicates whether to use the server virtual IP address for SIP gateways, SIP application server, and SIP voice mail.

If TLS is selected as transport type then server to server communication is through mutual authentication.
required: false
default value[range]: false

## ◆ UseSubscriberHomeDnAsAuthNumber

xsd__boolean* unsp__EndpointAttributes::UseSubscriberHomeDnAsAuthNumber

Use Subscriber HomeDn As Authorization Number.

required: false
default value[range]: false

## ◆ UseXChannelHeader

xsd__boolean* unsp__EndpointAttributes::UseXChannelHeader

This attribute indicates whether the X Channel Header will be used.

required: false
default value[range]: false

## ◆ VideoCallAllowed

xsd__boolean* unsp__EndpointAttributes::VideoCallAllowed

Video Call Allowed.

required: false
default value[range]: false

## ◆ VoiceMail

xsd__boolean* unsp__EndpointAttributes::VoiceMail

Voice Mail.

required: false
default value[range]: false

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h